Skip to main content
GET
/
apps
/
{appId}
/
paper-trading
/
accounts
/
{accountId}
/
positions
List paper trading positions
curl --request GET \
  --url https://api.agg.market/apps/{appId}/paper-trading/accounts/{accountId}/positions \
  --header 'x-app-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "venue": "<string>",
      "venueMarketId": "<string>",
      "venueMarketOutcomeId": "<string>",
      "marketQuestion": "<string>",
      "outcomeLabel": "<string>",
      "size": 123,
      "avgEntryPrice": 123,
      "markPrice": 123,
      "markTimestamp": 123,
      "bestBidPrice": 123,
      "bestAskPrice": 123,
      "midpoint": 123,
      "spread": 123,
      "marketValueRaw": "<string>",
      "marketValue": 123,
      "unrealizedPnlRaw": "<string>",
      "unrealizedPnl": 123,
      "liquidationPrice": 123,
      "liquidationValueRaw": "<string>",
      "liquidationValue": 123,
      "liquidationPnlRaw": "<string>",
      "liquidationPnl": 123,
      "liquidityShares": 123,
      "realizedPnlRaw": "<string>",
      "realizedPnl": 123,
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-api-key
string
header
required

App-scoped API key for programmatic app management.

Path Parameters

appId
string
required
accountId
string
required

Query Parameters

limit
number
Required range: 1 <= x <= 100
cursor
string

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required